Slack Bot Channels
curl --request GET \
--url https://api.hyperspell.com/admin/slack-bot/channels \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hyperspell.com/admin/slack-bot/channels"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hyperspell.com/admin/slack-bot/channels', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"name": "<string>",
"is_private": true
}
]Slack Bot
Slack Bot Channels
Channels the bot can post to (member-of only — no chat:write.public).
GET
/
admin
/
slack-bot
/
channels
Slack Bot Channels
Authorizations
API Key or JWT User Token. If using an API Key, set the X-As-User header to act as a specific user. A JWT User Token is always scoped to a specific user.
Was this page helpful?
⌘I